GET https://services.leadconnectorhq.com/contacts/{contactId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Versión de la API.
Path parameters
Contact Id
Respuestas
200 - Successful response
200 - Successful response
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
visitorId is the Unique ID assigned to each Live chat visitor.
{
"contact": {
"id": "seD4PfOuKoVMLkEZqohJ",
"name": "rubika deo",
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "rubika",
"lastName": "Deo",
"email": "rubika@deos.com",
"emailLowerCase": "rubika@deos.com",
"timezone": "Asia/Calcutta",
"companyName": "DGS VolMAX",
"phone": "+18832327657",
"dnd": true,
"dndSettings": {
"Call": {
"status": "active",
"message": "string",
"code": "string"
},
"Email": {
"status": "active",
"message": "string",
"code": "string"
},
"SMS": {
"status": "active",
"message": "string",
"code": "string"
},
"WhatsApp": {
"status": "active",
"message": "string",
"code": "string"
},
"GMB": {
"status": "active",
"message": "string",
"code": "string"
},
// truncado: 79 lineas mas
}
400 - Bad Request
400 - Bad Request
{}
401 - Unauthorized
401 - Unauthorized
{}
422 - Unprocessable Entity
422 - Unprocessable Entity
{}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);

